[ISAPI_Rewrite]
RepeatLimit 32
#不允许的目录
RewriteRule /({admin}|weixin|user|plug|install|api|lib|html)/$ /$1/ [L]
RewriteRule /(plug)/([\w\d\/]*)/$ /$1/$2/ [L,CL]
RewriteRule /lib/([\w\d\/]*)/([\w\d]*).html /lib/$1/$2.html [L,CL]

#重写plug
RewriteRule /plug/rss/(\d+)_(\d+)\.html /plug/rss.asp\?id=$1&page=$2 [L,CL]
RewriteRule /plug/rss/(\d+)\.html /plug/rss.asp\?id=$1 [L,CL]
RewriteRule /plug/book/(\d+) /plug/book.asp\?page=$1 [L,CL]
RewriteRule /plug/comment/(\d+) /plug/comment.asp\?id=$1 [L,CL]
RewriteRule /plug/comment/(\d+)/(\d+) /plug/comment.asp\?id=$1&page=$2 [L,CL]
RewriteRule /plug/tags/(\d+) /plug/tags.asp\?page=$1 [L,CL]
RewriteRule /plug/tags/(.*)_(\d+) /plug/tags.asp\?tag=$1&page=$2 [L,CL]
RewriteRule /plug/tags/(.*) /plug/tags.asp\?tag=$1 [L,CL]
RewriteRule /plug/book\.html\?page=(\d+) /plug/book.asp\?page=$1 [L,CL]
RewriteRule /plug/([\w\d]*)\.html(.*) /plug/$1.asp [L,CL]
RewriteRule /plug/job/(\d+) /plug/job.asp\?cid=$1 [L,CL]
RewriteRule /plug/jobdetail/(\d+)/(\d+) /plug/jobdetail.asp\?cid=$1&jid=$2 [L,CL]

#重写goods
RewriteRule /goods/([^_]*)_(\d+)\.html /goods.asp\?p=$1&page=$2 [L,CL]
RewriteRule /goods/([^_]*)\.html /goods.asp\?p=$1 [L,CL]

#重写品牌
RewriteRule /brand/([\w\d\/-]*)/cid_(\d+)/(\d+)/$ /brand.asp\?root=$1&cid=$2&page=$3 [L,CL]
RewriteRule /brand/([\w\d\/-]*)/cid_(\d+)/ /brand.asp\?root=$1&cid=$2 [L,CL]
RewriteRule /brand/([\w\d\/-]*)/(\d+)/$ /brand.asp\?root=$1&page=$2 [L,CL]
RewriteRule /brand/([\w\d\/-]*)/$ /brand.asp\?root=$1 [L,CL]

#重写内容
RewriteRule /([\w\d\/-]*)/([\w\d-]*)_(\d+)\.html /show.asp\?root=$2&cpage=$3 [L,CL]
RewriteRule /([\w\d\/-]*)/([\w\d-]*).html /show.asp\?root=$2 [L,CL]

#重写列表
RewriteRule /([\w\d\/-]*)/(\d+)/$ /list.asp\?root=$1&page=$2 [L,CL]
RewriteRule /([\w\d\-]+)$ /$1/ [I,RP]
RewriteRule /([\w\d\/-]*)/$ /list.asp\?root=$1 [L,CL]

#重写文件
RewriteRule /(limited|point|cart).html(.*) /$1.asp$2 [L]
RewriteRule /(limited|point|cart).html /$1.asp [L]

#重写index.asp
RewriteRule /index\.html(.*) /index.asp [L,CL]

#重写city.asp
RewriteRule /([A-Za-z]*)\.html$ /city.asp\?area=$1 [L,CL]

#重写微信列表
RewriteRule /weixin/list/(\d+)$ /weixin/list.asp\?cateid=$1 [L,CL]
RewriteRule /weixin/list/(\d+)\?(.*) /weixin/list.asp\?cateid=$1 [L,CL]

#重写微信内容
RewriteRule /weixin/show/(\d+)$ /weixin/show.asp\?id=$1 [L,CL]
RewriteRule /weixin/show/(\d+)\?(.*) /weixin/show.asp\?id=$1 [L,CL]

#重写.asp
RewriteRule ([\w\d\/-]*).jsp(.*) /$1.asp$2 [L,CL]